Open CASCADE Technology: DrawTrSurf_BezierCurve2d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
DrawTrSurf_BezierCurve2d Class Reference

`#include <DrawTrSurf_BezierCurve2d.hxx>`

Inheritance diagram for DrawTrSurf_BezierCurve2d:
[legend]

## Public Member Functions
| DrawTrSurf_BezierCurve2d (const Handle< Geom2d_BezierCurve > &C)
| creates a drawable Bezier curve from a Bezier curve of package Geom2d. More...
| DrawTrSurf_BezierCurve2d (const Handle< Geom2d_BezierCurve > &C, const Draw_Color &CurvColor, const Draw_Color &PolesColor, const Standard_Boolean ShowPoles, const Standard_Integer Discret)
void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method. More...
void | ShowPoles ()
void | ClearPoles ()
void | FindPole (const Standard_Real X, const Standard_Real Y, const Draw_Display &D, const Standard_Real Prec, Standard_Integer &Index) const
| Returns in <Index> the index of the first pole of the curve projected by the Display <D> at a distance lower than <Prec> from <X,Y>. If no pole is found index is set to 0, else index is always greater than the input value of index. More...
void | SetPolesColor (const Draw_Color &aColor)
Draw_Color | PolesColor () const
virtual Handle< Draw_Drawable3D > | Copy () const
| For variable copy. More...
Public Member Functions inherited from DrawTrSurf_Curve2d
| DrawTrSurf_Curve2d (const Handle< Geom2d_Curve > &C, const Standard_Boolean DispOrigin=Standard_True)
| creates a drawable curve from a curve of package Geom2d. More...
| DrawTrSurf_Curve2d (const Handle< Geom2d_Curve > &C, const Draw_Color &aColor, const Standard_Integer Discret, const Standard_Boolean DispOrigin=Standard_True, const Standard_Boolean DispCurvRadius=Standard_False, const Standard_Real RadiusMax=1.0e3, const Standard_Real RatioOfRadius=0.1)
void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method. More...
Handle< Geom2d_Curve > | GetCurve () const
void | SetColor (const Draw_Color &aColor)
void | ShowCurvature ()
void | ClearCurvature ()
void | SetRadiusMax (const Standard_Real Radius)
void | SetRadiusRatio (const Standard_Real Ratio)
Draw_Color | Color () const
Standard_Real | RadiusMax () const
Standard_Real | RadiusRatio () const
virtual void | Dump (Standard_OStream &S) const
| For variable dump. More...
virtual Standard_Boolean | Is3D () const
| Returns False. More...
virtual void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. More...
Public Member Functions inherited from DrawTrSurf_Drawable
void | DrawCurve2dOn (Adaptor2d_Curve2d &C, Draw_Display &D) const
| Draw a polygon of the curve on the Display. More...
void | DrawCurveOn (Adaptor3d_Curve &C, Draw_Display &D) const
| Draw a polygon of the curve on the Display. More...
void | DrawIsoCurveOn (Adaptor3d_IsoCurve &C, const GeomAbs_IsoType T, const Standard_Real P, const Standard_Real F, const Standard_Real L, Draw_Display &D) const
| Load C with the specified iso and Draw a polygon of the curve on the Display. More...
void | SetDiscretisation (const Standard_Integer Discret)
Standard_Integer | GetDiscretisation () const
void | SetDeflection (const Standard_Real Deflection)
Standard_Real | GetDeflection () const
void | SetDrawMode (const Standard_Integer DrawMode)
Standard_Integer | GetDrawMode () const
Public Member Functions inherited from Draw_Drawable3D
virtual Standard_Boolean | PickReject (const Standard_Real X, const Standard_Real Y, const Standard_Real Prec) const
| Returs True if the pick is outside the box. More...
void | SetBounds (const Standard_Real xmin, const Standard_Real xmax, const Standard_Real ymin, const Standard_Real ymax)
void | Bounds (Standard_Real &xmin, Standard_Real &xmax, Standard_Real &ymin, Standard_Real &ymax) const
Standard_Boolean | Visible () const
void | Visible (const Standard_Boolean V)
Standard_Boolean | Protected () const
void | Protected (const Standard_Boolean P)
Standard_CString | Name () const
virtual void | Name (const Standard_CString N)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from DrawTrSurf_Drawable
| DrawTrSurf_Drawable (const Standard_Integer discret, const Standard_Real deflection=0.01, const Standard_Integer DrawMode=0)
| set the number of points on a curve at creation. More...
Protected Member Functions inherited from Draw_Drawable3D
| Draw_Drawable3D ()
Protected Attributes inherited from DrawTrSurf_Curve2d
Handle< Geom2d_Curve > | curv
Draw_Color | look
Standard_Boolean | disporigin
Standard_Boolean | dispcurvradius
Standard_Real | radiusmax
Standard_Real | radiusratio

## Constructor & Destructor Documentation

DrawTrSurf_BezierCurve2d::DrawTrSurf_BezierCurve2d | ( | const Handle< Geom2d_BezierCurve > & | C | ) |

creates a drawable Bezier curve from a Bezier curve of package Geom2d.

DrawTrSurf_BezierCurve2d::DrawTrSurf_BezierCurve2d | ( | const Handle< Geom2d_BezierCurve > & | C,
|  | const Draw_Color & | CurvColor,
|  | const Draw_Color & | PolesColor,
|  | const Standard_Boolean | ShowPoles,
|  | const Standard_Integer | Discret
| ) |  |

## Member Function Documentation

void DrawTrSurf_BezierCurve2d::ClearPoles | ( |  | ) |

virtual Handle< Draw_Drawable3D > DrawTrSurf_BezierCurve2d::Copy | ( |  | ) | const
| virtual

For variable copy.

Reimplemented from DrawTrSurf_Curve2d.

void DrawTrSurf_BezierCurve2d::DrawOn | ( | Draw_Display & | dis | ) | const
| virtual

this is defined only to tell C++ not to complain about inheriting a pure virtual method.

Implements DrawTrSurf_Drawable.

void DrawTrSurf_BezierCurve2d::FindPole | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Draw_Display & | D,
|  | const Standard_Real | Prec,
|  | Standard_Integer & | Index
| ) |  | const

Returns in <Index> the index of the first pole of the curve projected by the Display <D> at a distance lower than <Prec> from <X,Y>. If no pole is found index is set to 0, else index is always greater than the input value of index.

Draw_Color DrawTrSurf_BezierCurve2d::PolesColor | ( |  | ) | const

void DrawTrSurf_BezierCurve2d::SetPolesColor | ( | const Draw_Color & | aColor | ) |

void DrawTrSurf_BezierCurve2d::ShowPoles | ( |  | ) |

The documentation for this class was generated from the following file:

- DrawTrSurf_BezierCurve2d.hxx